%define	module	Tk

Name:		perl-%{module}
Version:	804.028
Release:	%mkrel 9
Summary:	Tk modules for Perl
Group:		Development/Perl
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/modules/by-module/Tk/%{module}-%{version}.tar.gz
Patch0:		perl-Tk-widget.patch
# modified version of http://ftp.de.debian.org/debian/pool/main/p/perl-tk/perl-tk_804.027-8.diff.gz
Patch1:		perl-Tk-debian.patch
# fix segfaults as in #235666 because of broken cashing code
Patch2:		perl-Tk-seg.patch
Patch100:       perl-Tk-gif.patch
Provides:	perl(Tk::TextReindex)
Provides:	perl(Tk::LabRadio)
# to remove on upgrade (misc)
Obsoletes:	perl-Tk-PNG
BuildRequires:	perl-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	pwlib-devel
BuildRequires:	X11-devel
BuildRequires:	libxft-devel
BuildRequires:	libxrender-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%package	devel
Summary:	Tk modules for Perl (development package)
Group:		Development/C
Requires:	perl-Tk = %{version}-%{release}

%package	doc
Summary:	Tk modules for Perl (documentation package)
Group:		Development/Perl
Requires:	perl-Tk = %{version}-%{release}

%description
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

%description	devel
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the development package.

%description	doc
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the documentation package.

%prep
%setup -q -n %{module}-%{version}
chmod -x pod/Popup.pod Tixish/lib/Tk/balArrow.xbm
# fix for widget as docs
%patch0
%{__perl} -pi -e \
's,\@demopath\@,%{_datadir}/doc/%{name}-%{version}/demos,g' \
%{_builddir}/Tk-%{version}/demos/widget
# debian patch
%patch1 -p1
# patch to fix #235666 ... seems like caching code is broken
%patch2
%patch100 -p0 -b .CVE-2006-4484_CVE-2007-6697

find . -type f | xargs perl -pi -e 's|^#!.*/bin/perl\S*|#!/usr/bin/perl|'
# Make it lib64 aware, avoid patch
perl -pi -e "s,(/usr/X11(R6|\\*)|\\\$X11|\(\?:)/lib,\1/%{_lib},g" \
  myConfig pTk/mTk/{unix,tixUnix/{itcl2.0,tk4.0}}/configure
#(peroyvind) --center does no longer seem to be working, obsoleted by -c
perl -pi -e "s#--center#-c#" ./Tk/MMutil.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor XFT=1
%make OPTIMIZE="%{optflags}" LD_RUN_PATH=""

%install
rm -rf %{buildroot}
%makeinstall_std
%{__chmod} 644 %{buildroot}%{_mandir}/man3*/*

# Remove unpackaged files, add them if you find a use
# Tie::Watch is packaged separately
rm -f %{buildroot}%{perl_vendorarch}/{Tie/Watch.pm,Tk/prolog.ps}
rm -f %{buildroot}%{_mandir}/man1/{ptk{ed,sh},widget}.1*
rm -f %{buildroot}%{_mandir}/man3/Tie::Watch.3pm*

## compress all .pm files (as using perl-PerlIO-gzip).
#find %{buildroot} -name "*.pm" | xargs gzip -9

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ToDo Changes README README.linux
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorarch}/Tk.pm*
%dir %{perl_vendorarch}/Tk
%{perl_vendorarch}/Tk/*.pm*
%{perl_vendorarch}/Tk/*.pl
%{perl_vendorarch}/Tk/*.gif
%{perl_vendorarch}/Tk/*.xbm
%{perl_vendorarch}/Tk/*.xpm
%{perl_vendorarch}/Tk/license.terms
%{perl_vendorarch}/Tk/Credits
%{perl_vendorarch}/Tk/DragDrop
%{perl_vendorarch}/Tk/Event
%{perl_vendorarch}/Tk/Menu
%{perl_vendorarch}/Tk/Text
%{perl_vendorarch}/Tk/demos
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/fix_4_os2.pl

%files devel
%defattr(-,root,root)
%doc COPYING Funcs.doc INSTALL
%{perl_vendorarch}/Tk/pTk
%{perl_vendorarch}/Tk/*.def
%{perl_vendorarch}/Tk/*.h
%{perl_vendorarch}/Tk/*.m
%{perl_vendorarch}/Tk/*.t
%{perl_vendorarch}/Tk/typemap

%files doc
%defattr(-,root,root)
%doc COPYING
%{perl_vendorarch}/Tk.pod
%{perl_vendorarch}/Tk/*.pod
%{perl_vendorarch}/Tk/README.Adjust


%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 804.028-9mdv2009.0
+ Revision: 224581
- rebuild

* Wed Mar 19 2008 Oden Eriksson <oeriksson@mandriva.com> 804.028-8mdv2008.1
+ Revision: 188810
- fix #38879 (fixes CVE-2006-4484, CVE-2007-6697)

* Sun Feb 03 2008 David Walluck <walluck@mandriva.org> 804.028-7mdv2008.1
+ Revision: 161620
- fix perl-Tk Requires
- add BuildRequires on jpeg-devel and png-devel
- add patches from Fedora
- rebuild

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild for new perl

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 804.028-1mdv2008.1
+ Revision: 133606
- update to new version 804.028

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 804.027-8mdv2008.1
+ Revision: 106542
-enable XFT support (jq)
-spec cleanup
-original sources format


* Thu Jun 22 2006 Michael Scherer <misc@mandriva.org> 804.027-7mdv2007.0
- add a Obsoletes on perl-Tk-PNG as it is now included in the source

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 804.027-6
- rebuild for png
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 804.027-5mdk
- Rebuild

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 804.027-4mdk
- Require Tie::Watch

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 804.027-3mdk
- rebuild for new perl

* Thu May 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 804.027-2mdk
- Remove the manpage for Tie::Watch (which is packaged separately)

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 804.027-1mdk
- 804.027

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 800.024-4mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- fix no longer working --center option to pod2man

